Bug 486628 - /usr/bin/userpasswd shows half-english, half-spanish messages when locale is set to es_AR.utf8
/usr/bin/userpasswd shows half-english, half-spanish messages when locale is ...
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pam (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Tomas Mraz
BaseOS QE
: i18n, Translation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-20 13:33 EST by Juan J. Cavallaro
Modified: 2010-12-06 06:27 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-06 06:27:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan J. Cavallaro 2009-02-20 13:33:24 EST
Description of problem:

/usr/bin/userpasswd shows half-english, half-spanish messages when locale is set to es_AR.utf8

Version-Release number of selected component (if applicable):
usermode-gtk-1.88-3.el5.2

How reproducible:
Always

Steps to Reproduce:
1. run LANG=es_AR.utf8 /usr/bin/userpasswd
  
Actual results:
Message is displayed as follows:

Changing password for xxxxx
(actual) contraseña de UNIX:

Expected results:

Cambiando contraseña de xxxxx.
(actual) contraseña de UNIX:

Additional info:
N/A
Comment 1 Miloslav Trmač 2009-02-20 15:23:54 EST
Thanks for your report.

This message is generated in pam, by pam_unix_passwd.c.
Comment 2 Tomas Mraz 2009-02-23 10:03:10 EST
Unfortunately this string is not localized in the pam version we ship in RHEL-5.
Comment 3 Juan J. Cavallaro 2009-08-04 17:05:46 EDT
So this means he installed some unsupported Package? I think I checked that but I could double check..

Thanks!
Comment 4 Tomas Mraz 2009-08-04 17:14:48 EDT
No, it doesn't mean that. It just means the string is not translated in the PAM version we ship in RHEL-5.
Comment 5 Juan J. Cavallaro 2009-08-05 09:04:06 EDT
Ohh I understand. So are we getting a fix on 5.4?
Comment 9 Tomas Mraz 2010-12-06 06:27:46 EST
This is fixed in Red Hat Enterprise Linux 6.

Note You need to log in before you can comment on or make changes to this bug.